Character (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Character

    java.lang.Object
      java.lang.Character

    @TransactionType(value=NOT_SUPPORTED)
    public final class Character

extends Object

The Character class wraps a value of the primitive type `char` in an object. An object of type `Character` contains a single field whose type is `char`.

In addition, this class provides several methods for determining the type of a character and converting characters from uppercase to lowercase and vice versa.

Character information is based on the Unicode Standard, version 3.0. However, in order to reduce footprint, by default the character property and case conversion operations in CLDC are available only for the ISO Latin-1 range of characters. Other Unicode character blocks can be supported as necessary.

Instances of the Character class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.0, CLDC 1.0, Java Card 3.0

Field Summary
`static int` | `MAX_RADIX` The maximum radix available for conversion to and from Strings.
`static char` | `MAX_VALUE` The constant value of this field is the largest value of type `char`.
`static int` | `MIN_RADIX` The minimum radix available for conversion to and from Strings.
`static char` | `MIN_VALUE` The constant value of this field is the smallest value of type `char`.

Constructor Summary
`Character(char value)` Constructs a `Character` object and initializes it so that it represents the primitive `value` argument.

Method Summary
`char` | `charValue()` Returns the value of this Character object.
`static int` | `digit(char ch, int radix)` Returns the numeric value of the character `ch` in the specified radix.
`boolean` | `equals(Object obj)` Compares this object against the specified object.
`int` | `hashCode()` Returns a hash code for this Character.
`static boolean` | `isDigit(char ch)` Determines if the specified character is a digit.
`static boolean` | `isLowerCase(char ch)` Determines if the specified character is a lowercase character.
`static boolean` | `isUpperCase(char ch)` Determines if the specified character is an uppercase character.
`static char` | `toLowerCase(char ch)` The given character is mapped to its lowercase equivalent; if the character has no lowercase equivalent, the character itself is returned.
`String` | `toString()` Returns a String object representing this character's value.
`static char` | `toUpperCase(char ch)` Converts the character argument to uppercase; if the character has no uppercase equivalent, the character itself is returned.
`static Character` | `valueOf(char value)` Returns a `Character` instance representing the specified `char` value.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_RADIX

    public static final int MIN_RADIX

  The minimum radix available for conversion to and from Strings.

  See Also:
    `Integer.toString(int, int)`, `Integer.valueOf(java.lang.String)`, Constant Field Values

### MAX_RADIX

    public static final int MAX_RADIX

  The maximum radix available for conversion to and from Strings.

  See Also:
    `Integer.toString(int, int)`, `Integer.valueOf(java.lang.String)`, Constant Field Values

### MIN_VALUE

    public static final char MIN_VALUE

  The constant value of this field is the smallest value of type `char`.

  Since:
    JDK1.0.2
  See Also:
    Constant Field Values

### MAX_VALUE

    public static final char MAX_VALUE

  The constant value of this field is the largest value of type `char`.

  Since:
    JDK1.0.2
  See Also:
    Constant Field Values

Constructor Detail

### Character

    public Character(char value)

  Constructs a `Character` object and initializes it so that it represents the primitive `value` argument.

  Parameters:
    `value` - value for the new `Character` object.

Method Detail

### charValue

    public char charValue()

  Returns the value of this Character object.

  Returns:
    the primitive `char` value represented by this object.

### hashCode

    public int hashCode()

  Returns a hash code for this Character.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and is a `Character` object that represents the same `char` value as this object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with.
  Returns:
    `true` if the objects are the same; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### toString

    public String toString()

  Returns a String object representing this character's value. Converts this `Character` object to a string. The result is a string whose length is `1`. The string's sole component is the primitive `char` value represented by this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this object.

### isLowerCase

    public static boolean isLowerCase(char ch)

  Determines if the specified character is a lowercase character.

  Note that by default CLDC only supports the ISO Latin-1 range of characters.

  Of the ISO Latin-1 characters (character codes 0x0000 through 0x00FF), the following are lowercase:

  a b c d e f g h i j k l m n o p q r s t u v w x y z \u00DF \u00E0 \u00E1 \u00E2 \u00E3 \u00E4 \u00E5 \u00E6 \u00E7 \u00E8 \u00E9 \u00EA \u00EB \u00EC \u00ED \u00EE \u00EF \u00F0 \u00F1 \u00F2 \u00F3 \u00F4 \u00F5 \u00F6 \u00F8 \u00F9 \u00FA \u00FB \u00FC \u00FD \u00FE \u00FF

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is lowercase; `false` otherwise.
  Since:
    JDK1.0

### isUpperCase

    public static boolean isUpperCase(char ch)

  Determines if the specified character is an uppercase character.

  Note that by default CLDC only supports the ISO Latin-1 range of characters.

  Of the ISO Latin-1 characters (character codes 0x0000 through 0x00FF), the following are uppercase:

  A B C D E F G H I J K L M N O P Q R S T U V W X Y Z \u00C0 \u00C1 \u00C2 \u00C3 \u00C4 \u00C5 \u00C6 \u00C7 \u00C8 \u00C9 \u00CA \u00CB \u00CC \u00CD \u00CE \u00CF \u00D0 \u00D1 \u00D2 \u00D3 \u00D4 \u00D5 \u00D6 \u00D8 \u00D9 \u00DA \u00DB \u00DC \u00DD \u00DE

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is uppercase; `false` otherwise.
  Since:
    1.0
  See Also:
    `isLowerCase(char)`, `toUpperCase(char)`

### isDigit

    public static boolean isDigit(char ch)

  Determines if the specified character is a digit.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is a digit; `false` otherwise.
  Since:
    JDK1.0

### toLowerCase

    public static char toLowerCase(char ch)

  The given character is mapped to its lowercase equivalent; if the character has no lowercase equivalent, the character itself is returned.

  Note that by default CLDC only supports the ISO Latin-1 range of characters.

  Parameters:
    `ch` - the character to be converted.
  Returns:
    the lowercase equivalent of the character, if any; otherwise the character itself.
  Since:
    JDK1.0
  See Also:
    `isLowerCase(char)`, `isUpperCase(char)`, `toUpperCase(char)`

### toUpperCase

    public static char toUpperCase(char ch)

  Converts the character argument to uppercase; if the character has no uppercase equivalent, the character itself is returned.

  Note that by default CLDC only supports the ISO Latin-1 range of characters.

  Parameters:
    `ch` - the character to be converted.
  Returns:
    the uppercase equivalent of the character, if any; otherwise the character itself.
  Since:
    JDK1.0
  See Also:
    `isLowerCase(char)`, `isUpperCase(char)`, `toLowerCase(char)`

### digit

    public static int digit(char ch,
                            int radix)

  Returns the numeric value of the character `ch` in the specified radix.

  Parameters:
    `ch` - the character to be converted.
    `radix` - the radix.
  Returns:
    the numeric value represented by the character in the specified radix.
  Since:
    JDK1.0
  See Also:
    `isDigit(char)`

### valueOf

    public static Character valueOf(char value)

  Returns a `Character` instance representing the specified `char` value. If a new `Character` instance is not required, this method should generally be used in preference to the constructor `Character(char)`, as this method is likely to yield significantly better space and time performance by caching frequently requested values.

  Parameters:
    `value` - a char value.
  Returns:
    a `Character` instance representing `value`.
  Since:
    JDK 1.5, Java Card 3.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.